Subject: Re: bug#56198: Request to delete window with mouse event

From: Tak Kunihiro <[email-masked]>
Date: Wed, 29 Jun 2022 18:16:11 +0900

> I frequently split my windows, I usually kill the buffer using the
> menu bar. But this leaves me with the window open with some other
> buffer. Would like to request some facility to delete a window
> (delete-window) using the mouse

> How about having `Close' in context menu?

> I cannot understand this terminology.  How does one access the context
> menu?

Recent Emacs comes with an interface `context-menu'.

Customize context-menu to have a menu item that deletes window would
meet your request.

Such a menu is useful in general and I think it is good have it by
default.